Subject: Bug#1118: [X2Go-Dev] Share folder is broken for x2goclient-4.0.5.2-2016.09.20-setup.exe

From: Mihai Moldovan <[email-masked]>
Date: Tue, 29 Nov 2016 18:47:41 +0100

Control: reassign -1 x2goclient 4.0.5.2
Control: tag -1 win32

On 29.11.2016 05:55 AM, Michael wrote:
> Package: x2goclient-4.0.5.2-2016.09.20-setup
> Version: x2goclient-4.0.5.2-2016.09.20-setup
> 
> Steps to reproduce:
> 
> 1. Install x2goclient-4.0.5.2-2016.09.20-setup.exe
> 
> 2. Make sure C:\Users\XXXXXXX\.x2go\etc does not exist, or delete it if existed.
> 
> 3. Create a new session to a x2go server.
> 
> 4. Enable share folder and watch the bug report window.
> 
> From the source code:
> 
> 9931 void ONMainWindow::startWinServers()
> 9932 {
> 9952         generateHostKey(RSA_KEY_TYPE);
> 
> For Windows, we only generate RSA_KEY, but in
> 
> 8013 QString ONMainWindow::createRSAKey()
> 8014 {
> 8043 #ifdef Q_OS_WIN
> 8044     rsa.setFileName (
> 8045         wapiShortFileName (
> 8046             homeDir+"\\.x2go\\etc\\ssh_host_dsa_key.pub" ) );
> 8056     if ( !rsa.open ( QIODevice::ReadOnly | QIODevice::Text ) )
> 8057     {
> 
> 
> We check DSA_KEY instead, which of course would not exist.
> 
> To fix this bug:
> 
> 8046   -          homeDir+"\\.x2go\\etc\\ssh_host_dsa_key.pub" ) );
> 8046   +         homeDir+"\\.x2go\\etc\\ssh_host_rsa_key.pub" ) );

I'm aware of that bug, but probably won't fix it directly. That thing shouldn't
come up with the new code in my bugfix/osx branch, since I've rewritten almost
all of the host key, client key (as used for the local [*not* remote] ssh
daemon) and ssh daemon handling. Changing portions there on the current master
branch would only lead to biggish conflicts while rebasing - that's not really
worth the effort. I'm rather concentrating on getting the other functionality
done and release-worthy instead, which will automatically fix this bug.

Mihai